proc presen(varnames,coef,sterr,ttest);
local fmt,mask,results;
fmt={ "- *.*lg" 10 10,
      "*.*lf" 12 4,
      "*.*lf" 12 4,
      "*.*lf" 12 4 };
mask={ 0,1,1,1 };
mask=mask';
cls;
print "*********************   Results *******************";
print;
print "Variables       Coef        St Err      t-stat";
print "______________________________________________";
results=varnames~coef~sterr~ttest;
call printfm(results,mask,fmt);
retp(0);
print;
endp;

proc presen4(Alfa,num1,num2,num3);
local fmt,mask,results;
fmt={ "- *.*lg" 10 10,
      "*.*lf" 12 4,
      "*.*lf" 12 4,
      "*.*lf" 12 4 };
mask={ 0,1,1,1 };
mask=mask';
cls;
print "*********************   Results *******************";
print;
print " Alfa      num1      num2     num3            ";
print "______________________________________________";
results=alfa~num1~num2~num3;
call printfm(results,mask,fmt);
retp(0);
print;
endp;


proc presen2(varnames,coef);
local fmt,mask,results;
fmt={ "- *.*lg" 10 10,
      "*.*lf" 12 4 };
mask={ 0,1 };
mask=mask';
cls;
print "*********************   Results *******************";
print;
print "Variables       Coef";
print "____________________";
results=varnames~coef;
call printfm(results,mask,fmt);
retp(0);
print;
endp;

proc presen3(varnames,coef,std1,std2,std3,ttest);
local fmt,mask,results;
fmt={ "- *.*lg" 10 10,
      "*.*lf" 12 3,
      "*.*lf" 12 3,
      "*.*lf" 12 3,
      "*.*lf" 12 3,
      "*.*lf" 12 3 };

mask={ 0,1,1,1,1,1 };
mask=mask';
cls;
print "*********************   Results *******************";
print;
print "Variables      Coef          Std        Std        Std      t-stat";
print "                             SAND       HESS       OUT       SAND ";
print "___________________________________________________________________";
results=varnames~coef~std1~std2~std3~ttest;
call printfm(results,mask,fmt);
retp(0);
print;
endp;

