/* ***************************************************************************

This program analyse a given Hessian to obtain diagnosis related to convergence

******************************************************************************/

proc(0)=hessana(H,a,b);
/*
H=Hessian.
a=+1, if the Hessian is the result of a maximization
  -1, if the Hessian is the result of a minimization

b=1, if you require analysis of dependencies among columns
b=0, if you only require eigenvalue analysis.        */

local myeig,condnum,r,e;

myeig=eig(H);
condnum=maxc(myeig)/minc(myeig);
"";
"The eigenvalues are";
"";
myeig';
"";
if a==-1 and minc(real(myeig)) > 0;
"Eigenvalues with right sign";
"The closer the condition number is to 1, the better your hessian";
"Condition number is ";;condnum;
"So when inverting, the number of decimal places you lose is ";
log(condnum);
endif;
if a==-1 and minc(real(myeig)) < 0;
"Eigenvalues with wrong sign";
endif;
if a==1 and maxc(real(myeig)) < 0;
"Eigenvalues with right sign";
"The closer the condition number is to 1, the better your hessian";
"Condition number of the hessian is";;condnum;
"So when inverting, the number of decimal places you lose is ";
log(condnum);
endif;
if a==1 and maxc(real(myeig)) > 0;
"Eigenvalues with wrong sign";
endif;

if b==1;
"";
"****************************************************************************";
"  The diagonal of the R matrix is the following. The number of elements     ";
" close to zero are the number of linear dependent colums                    ";
"****************************************************************************";

"";
{R,e}=qre(H);
diag(R);
endif;
endp;

